io.vertx.rxjava3.ext.shell.command

## Class CommandResolver

- java.lang.Object
- - io.vertx.rxjava3.ext.shell.command.CommandResolver

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate
  Direct Known Subclasses:
    CommandRegistry

      public class CommandResolver
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A resolver for commands, so the shell can discover commands.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<CommandResolver>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandResolver(CommandResolver delegate)`
    `CommandResolver(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandResolver` | `baseCommands(Vertx vertx)`
    `List<Command>` | `commands()`
    `boolean` | `equals(Object o)`
    `Command` | `getCommand(String name)` Returns a single command by its name.
    `CommandResolver` | `getDelegate()`
    `int` | `hashCode()`
    `static CommandResolver` | `newInstance(CommandResolver arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<CommandResolver> __TYPE_ARG

  - ### Constructor Detail

    - #### CommandResolver

          public CommandResolver(CommandResolver delegate)

    - #### CommandResolver

          public CommandResolver(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public CommandResolver getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### baseCommands

          public static CommandResolver baseCommands(Vertx vertx)

      Parameters:
        `vertx` -
      Returns:
        the base commands of Vert.x Shell.

    - #### commands

          public List<Command> commands()

      Returns:
        the current commands

    - #### getCommand

          public Command getCommand(String name)

      Returns a single command by its name.
      Parameters:
        `name` - the command name
      Returns:
        the commad or null

    - #### newInstance

          public static CommandResolver newInstance(CommandResolver arg)

Copyright © 2025 Eclipse. All rights reserved.